import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { _ as __ } from './default-i18n.js';
import './index2.js';
import { d as defineCustomElement$2 } from './sc-tag2.js';

const ScPremiumTag$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** The tag's size. */
    this.size = 'small';
  }
  render() {
    return (h("sc-tag", { type: "success", size: this.size }, __('Premium', 'surecart')));
  }
}, [1, "sc-premium-tag", {
    "size": [513]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-premium-tag", "sc-tag"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-premium-tag":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScPremiumTag$1);
      }
      break;
    case "sc-tag":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}
defineCustomElement$1();

const ScPremiumTag = ScPremiumTag$1;
const defineCustomElement = defineCustomElement$1;

export { ScPremiumTag, defineCustomElement };
